Index: branches/2016/dev_v3.20_2016_platelet/GRAPHICS/ALL_contours.pro
===================================================================
--- branches/2016/dev_v3.20_2016_platelet/GRAPHICS/ALL_contours.pro	(revision 26)
+++ branches/2016/dev_v3.20_2016_platelet/GRAPHICS/ALL_contours.pro	(revision 59)
@@ -129,4 +129,8 @@
 ENDIF
 
+IF ( site EQ 'N_ICE_RL' ) THEN BEGIN
+   mon = numt * dt / 86400. / 30.41666666 + 1
+ENDIF
+
 ;
 ;------------------------------------------------------------------------------
@@ -199,4 +203,14 @@
 ENDIF
 
+IF ( site EQ 'N_ICE_RL' ) THEN BEGIN ; all wrong here, just a silly copy paste
+   day_obs = [ 120,  120,   120,   121,   121,   121,   124,   124,   124,   124,   125,   125,   125,   125,   125,   125,   125,   125,   125,   126,   126,   126,   127,   127,   127,   127,   130,   132,   134,   136,   138,   140,   142,   144,   146,   149,   152,   154,   127,   130,   132,   134,   136,   138,   140,   142,   144,   146,   149,   152,   154,   127,   130,   132,   134,   136,   138,   140,   142,   144,   146,   149,   152,   154,   127,   130,   132,   134,   136,   138,   140,   142,   144,   146,   149,   152,   154,   127,   130,   132,   134,   136,   138,   140,   142,   144,   146,   149,   152,   154 ]
+
+   hi_obs  = [   16,   17,   13,   17,   17,   17,   16,   16,   16,   17,   16,   17.5,   20,   14,   17,   14,   18,   30,   19,   15,   15,   15,   19,   18,   19,   17,   19.35,   21.25,   22,   22.1,   22.2,   22,   21.5,   22,   22,   23,   21,   19,   24,   22.25,   23.25,   25.25,   26,   26,   26.5,   24.5,   24,   24,   23,   23,   20.5,   21.75,   23.25,   24.75,   25,   26.5,   27,   26,   25,   25,   25,   24,   23,   21,   21.5,   22.75,   24.5,   25.4,   25.75,   25.7,   25.5,   24,   24.5,   25,   24.5,   23,   21.5,   20.25,   22.25,   23.88,   24.75,   25,   24.7,   25,   24,   24.5,   24.5,   24,   23,   20 ]   / 100.
+   hi_obs_std = REPLICATE( 0., N_ELEMENTS(day_obs) )
+   hs_obs     = REPLICATE( 0., N_ELEMENTS(day_obs) )
+   hs_obs_std = REPLICATE( 0., N_ELEMENTS(day_obs) )
+   mon_obs    = day_obs / 30.467 + 1
+ENDIF
+
 ;
 ;------------------------------------------------------------------------------
@@ -231,4 +245,9 @@
 ENDIF
 
+IF ( site EQ 'N_ICE_RL' ) THEN BEGIN
+   zmin = -0.5
+   zmax = 0.0
+ENDIF
+
 ;-------------------
 ; Salinity contours
@@ -416,8 +435,10 @@
 ; contour parameters
 nlevels = 10
+
 colors = [   20,  40,   60,   80,  100,  120, 140, 160, 180, 200, 220 ]
 IF ( site EQ 'BARROW' ) THEN BEGIN
    levels = [   0.,   0.2,  0.4,   0.6,   0.8,  1.0,  1.2, 1.4, 1.6, 1.8, 2.0]
 ENDIF
+
 IF ( site EQ 'ISPOL' ) THEN BEGIN
    levels = [   0.,     2.,   4.,    6.,    8.,  10.,   12.,14., 16., 18., 20.]
@@ -426,5 +447,6 @@
    colors = [ 20, 60, 100, 140, 180, 220, 240 ]
 ENDIF
-IF ( site EQ 'YROSIAE' ) THEN BEGIN
+
+IF ( site EQ 'YROSIAE' OR site EQ 'N_ICE_RL' ) THEN BEGIN
    nlevels = 7.
    levels = [ 0., 1.6, 4., 6., 8., 10., 12., 20.]
@@ -463,5 +485,5 @@
    colors = [ 20, 60, 100, 140, 180, 220, 240 ]
 ENDIF
-IF ( site EQ 'YROSIAE' ) THEN BEGIN
+IF ( site EQ 'YROSIAE' OR site EQ 'N_ICE_RL' ) THEN BEGIN
    nlevels = 7
    levels = [ 0., 0.24, 0.4, 0.6, 0.8, 1., 2. ]
@@ -503,5 +525,5 @@
    colors = [ 20, 60, 100, 140, 180, 220, 240 ]
 ENDIF
-IF ( site EQ 'YROSIAE' ) THEN BEGIN
+IF ( site EQ 'YROSIAE' OR site EQ 'N_ICE_RL' ) THEN BEGIN
    nlevels = 7.
    levels = [ 0., 3.9, 8., 12., 16., 20., 24., 40.]
@@ -1225,94 +1247,4 @@
 colorbarn, horpos, vertpos, cb_length, 0.02, MIN(levels), MAX(levels), leveling, nlevels+1, levels, colors, format
 
-;
-;--------------
-; dFe         
-;--------------
-;
-!P.MULTI=[0,numplot_x, numplot_y]
-i_plot = 0
-i_plot_h = i_plot MOD numplot_x
-i_plot_v = i_plot / numplot_x + 1
-
-; contour parameters
-nlevels = 10
-nlevels = 10
-fmin = 0.0 & fmax = MAX(dFeb) ;
-cmin = 000 & cmax = 255
-do_levels, fmin, fmax, cmin, cmax, nlevels, levels, colors
-
-ct = 3 ; colortable
-title = ' dFe (mumol/m3)'
-
-icecontour, dFeb, h_i, h_s, nlevels, colors, levels, ct, z_ib, mon, nlay_bio, nts, $
-            tmin, tmax, zmin, zmax, title
-
-; colorbar
-format='(f5.1)'
-horpos   = 0.02 + i_plot_h * dh
-vertpos  = 0.015 + ( numplot_y - i_plot_v ) * dv ; position of colorbar.
-colorbarn, horpos, vertpos, cb_length, 0.02, MIN(levels), MAX(levels), leveling, nlevels+1, levels, colors, format
-
-;
-;--------------
-; aFe         
-;--------------
-;
-i_plot = i_plot + 1
-i_plot_h = i_plot MOD numplot_x
-i_plot_v = i_plot / numplot_x + 1
-
-; contour parameters
-nlevels = 10
-nlevels = 10
-fmin = 0.0 & fmax = MAX(aFeb) ;
-cmin = 000 & cmax = 255
-do_levels, fmin, fmax, cmin, cmax, nlevels, levels, colors
-
-ct = 3 ; colortable
-title = ' aFe (mumol/m3)'
-
-icecontour, aFeb, h_i, h_s, nlevels, colors, levels, ct, z_ib, mon, nlay_bio, nts, $
-            tmin, tmax, zmin, zmax, title
-
-; colorbar
-format='(f5.1)'
-horpos   = 0.02 + i_plot_h * dh
-vertpos  = 0.015 + ( numplot_y - i_plot_v ) * dv ; position of colorbar.
-colorbarn, horpos, vertpos, cb_length, 0.02, MIN(levels), MAX(levels), leveling, nlevels+1, levels, colors, format
-
-;
-;--------------
-; eFe         
-;--------------
-;
-i_plot = i_plot + 1
-i_plot_h = i_plot MOD numplot_x
-i_plot_v = i_plot / numplot_x + 1
-
-; contour parameters
-nlevels = 10
-nlevels = 10
-fmin = 0.0 & fmax = MAX(eFeb) ;
-cmin = 000 & cmax = 255
-do_levels, fmin, fmax, cmin, cmax, nlevels, levels, colors
-
-ct = 3 ; colortable
-title = ' eFe (mumol/m3)'
-
-icecontour, eFeb, h_i, h_s, nlevels, colors, levels, ct, z_ib, mon, nlay_bio, nts, $
-            tmin, tmax, zmin, zmax, title
-
-; colorbar
-format='(f5.1)'
-horpos   = 0.02 + i_plot_h * dh
-vertpos  = 0.015 + ( numplot_y - i_plot_v ) * dv ; position of colorbar.
-colorbarn, horpos, vertpos, cb_length, 0.02, MIN(levels), MAX(levels), leveling, nlevels+1, levels, colors, format
-
-;
-;------------------------------------------------------------------------------
-; End of the script
-;------------------------------------------------------------------------------
-;
 IF ( device EQ 'PS' ) THEN BEGIN
    DEVICE, /CLOSE
@@ -1320,4 +1252,102 @@
    !P.MULTI=[0,2,2]
 ENDIF
+
+STOP
+
+;
+;--------------
+; dFe         
+;--------------
+;
+!P.MULTI=[0,numplot_x, numplot_y]
+i_plot = 0
+i_plot_h = i_plot MOD numplot_x
+i_plot_v = i_plot / numplot_x + 1
+
+; contour parameters
+nlevels = 10
+nlevels = 10
+fmin = 0.0 & fmax = 60.
+cmin = 000 & cmax = 255
+do_levels, fmin, fmax, cmin, cmax, nlevels, levels, colors
+
+ct = 3 ; colortable
+title = ' dFe (mumol/m3)'
+
+icecontour, dFeb, h_i, h_s, nlevels, colors, levels, ct, z_ib, mon, nlay_bio, nts, $
+            tmin, tmax, zmin, zmax, title
+
+; colorbar
+format='(f5.1)'
+horpos   = 0.02 + i_plot_h * dh
+vertpos  = 0.015 + ( numplot_y - i_plot_v ) * dv ; position of colorbar.
+colorbarn, horpos, vertpos, cb_length, 0.02, MIN(levels), MAX(levels), leveling, nlevels+1, levels, colors, format
+
+;
+;--------------
+; aFe         
+;--------------
+;
+i_plot = i_plot + 1
+i_plot_h = i_plot MOD numplot_x
+i_plot_v = i_plot / numplot_x + 1
+
+; contour parameters
+nlevels = 10
+nlevels = 10
+fmin = 0.0 & fmax = MAX(aFeb) ;
+cmin = 000 & cmax = 255
+do_levels, fmin, fmax, cmin, cmax, nlevels, levels, colors
+
+ct = 3 ; colortable
+title = ' aFe (mumol/m3)'
+
+icecontour, aFeb, h_i, h_s, nlevels, colors, levels, ct, z_ib, mon, nlay_bio, nts, $
+            tmin, tmax, zmin, zmax, title
+
+; colorbar
+format='(f5.1)'
+horpos   = 0.02 + i_plot_h * dh
+vertpos  = 0.015 + ( numplot_y - i_plot_v ) * dv ; position of colorbar.
+colorbarn, horpos, vertpos, cb_length, 0.02, MIN(levels), MAX(levels), leveling, nlevels+1, levels, colors, format
+
+;
+;--------------
+; eFe         
+;--------------
+;
+i_plot = i_plot + 1
+i_plot_h = i_plot MOD numplot_x
+i_plot_v = i_plot / numplot_x + 1
+
+; contour parameters
+nlevels = 10
+nlevels = 10
+fmin = 0.0 & fmax = MAX(eFeb) ;
+cmin = 000 & cmax = 255
+do_levels, fmin, fmax, cmin, cmax, nlevels, levels, colors
+
+ct = 3 ; colortable
+title = ' eFe (mumol/m3)'
+
+icecontour, eFeb, h_i, h_s, nlevels, colors, levels, ct, z_ib, mon, nlay_bio, nts, $
+            tmin, tmax, zmin, zmax, title
+
+; colorbar
+format='(f5.1)'
+horpos   = 0.02 + i_plot_h * dh
+vertpos  = 0.015 + ( numplot_y - i_plot_v ) * dv ; position of colorbar.
+colorbarn, horpos, vertpos, cb_length, 0.02, MIN(levels), MAX(levels), leveling, nlevels+1, levels, colors, format
+
+;
+;------------------------------------------------------------------------------
+; End of the script
+;------------------------------------------------------------------------------
+;
+IF ( device EQ 'PS' ) THEN BEGIN
+   DEVICE, /CLOSE
+   SET_PLOT, "X"
+   !P.MULTI=[0,2,2]
+ENDIF
 END
 
Index: branches/2016/dev_v3.20_2016_platelet/GRAPHICS/ALL_stocks.pro
===================================================================
--- branches/2016/dev_v3.20_2016_platelet/GRAPHICS/ALL_stocks.pro	(revision 26)
+++ branches/2016/dev_v3.20_2016_platelet/GRAPHICS/ALL_stocks.pro	(revision 59)
@@ -213,4 +213,14 @@
 ; YROSIAE
 ; taken from yrosiae ASPECT log sheets (Fripiat et al, oct 2015)
+   doy_obs    = [ 263 , 299,  318 , 279 , 306 , 327,  292 , 312  ,335 ]
+   Ichla_obs  = [ 1.4683  , 4.6038  ,45.4413, 128.0884,  44.5830 ,219.1416 ,208.6254 ,108.0657 , 87.9038 ]
+   ISi_obs    = [ 22.6631 , 21.1690 , 19.2174,  18.8949 , 18.9943,  18.9517,  20.5963,  16.6855,  13.8374 ]
+   IN_obs     = [ 9.0613  , 5.6130  , 9.4723,  10.0763,  11.4708 , 14.6193 , 14.4107 ,  4.7585 ,  2.1876 ]
+   IP_obs     = [ 0.4976  , 0.4067  , 1.1311,   1.8459,   2.3452 ,  3.7857 ,  3.6948 ,  1.3270 ,  1.2602 ]
+ENDIF
+
+IF ( site EQ 'N_ICE_RL' ) THEN BEGIN
+; N_ICE_RL
+; ALLLLLL WRONG !!!
    doy_obs    = [ 263 , 299,  318 , 279 , 306 , 327,  292 , 312  ,335 ]
    Ichla_obs  = [ 1.4683  , 4.6038  ,45.4413, 128.0884,  44.5830 ,219.1416 ,208.6254 ,108.0657 , 87.9038 ]
@@ -492,20 +502,20 @@
    XYOUTS, xmin+ (xmax-xmin)*0.10, ymax*0.80, ztitle
 
-   ; Iron stocks
-   ymin = 0.0000   & ymax = MAX(dFet)*1.2
-
-   PLOT, [xmin, xmax], [ ymin, ymax ], /NODATA, charsize = cs, $
-         XTITLE = 'mon', YTITLE = 'Iron (mumol/m2)', XSTYLE = 1, YSTYLE = 1
-
-   FOR i_run = nruns - 1, 0, -1 DO BEGIN
-      LOADCT, ct
-      OPLOT, mon(i_run,0:ntss(i_run)-1), dFet(0:ntss(i_run)-1), color = 150, thick = 2
-      OPLOT, mon(i_run,0:ntss(i_run)-1), aFet(0:ntss(i_run)-1), color = 0, thick = 2
-      OPLOT, mon(i_run,0:ntss(i_run)-1), eFet(0:ntss(i_run)-1), color = 0, thick = 1
-   ENDFOR
-   LOADCT, 0
-
-   ztitle = 'Max dFe stock: '+STRCOMPRESS(STRING(MAX(dFet), FORMAT='(F6.2)'),/REMOVE_ALL)+' mumol/m2'
-   XYOUTS, xmin+ (xmax-xmin)*0.10, ymax*0.90, ztitle
+;  ; Iron stocks
+;  ymin = 0.0000   & ymax = 500. ;ymax = MAX(dFet)*1.2
+
+;  PLOT, [xmin, xmax], [ ymin, ymax ], /NODATA, charsize = cs, $
+;        XTITLE = 'mon', YTITLE = 'Iron (mumol/m2)', XSTYLE = 1, YSTYLE = 1
+
+;  FOR i_run = nruns - 1, 0, -1 DO BEGIN
+;     LOADCT, ct
+;     OPLOT, mon(i_run,0:ntss(i_run)-1), dFet(0:ntss(i_run)-1), color = 150, thick = 2
+;     OPLOT, mon(i_run,0:ntss(i_run)-1), aFet(0:ntss(i_run)-1), color = 0, thick = 2
+;     OPLOT, mon(i_run,0:ntss(i_run)-1), eFet(0:ntss(i_run)-1), color = 0, thick = 1
+;  ENDFOR
+;  LOADCT, 0
+
+;  ztitle = 'Max dFe stock: '+STRCOMPRESS(STRING(MAX(dFet), FORMAT='(F6.2)'),/REMOVE_ALL)+' mumol/m2'
+;  XYOUTS, xmin+ (xmax-xmin)*0.10, ymax*0.90, ztitle
 
 
Index: branches/2016/dev_v3.20_2016_platelet/GRAPHICS/plots_N_ICE_RL.exec
===================================================================
--- branches/2016/dev_v3.20_2016_platelet/GRAPHICS/plots_N_ICE_RL.exec	(revision 59)
+++ branches/2016/dev_v3.20_2016_platelet/GRAPHICS/plots_N_ICE_RL.exec	(revision 59)
@@ -0,0 +1,4 @@
+.r ALL_contours.pro
+.r ALL_stocks.pro
+.r N_ICE_RL_profiles.pro
+exit
